.container{
width: 300px;
height: 300px;
border: 10px solid black ;
border-radius: 10px 20px 30px 40px;
position: relative;
overflow: hidden;
}
.image{
    height: 100%;
    width: 100%;
}
.text{
    background-color:rosybrown;
    position: absolute;
    top:0px;
    left: 0px;
    margin: 0px;
    height: 100%;
    font-size: 1.5rem;
    transform: translateX(100%);
    transition: all 1s linear 0s;
}
.container:hover>.text{
    transform: translateX(0px);

}